/* Importación de Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Fredoka:wght@500&family=Montserrat:wght@400;700&display=swap');

/* Variables de Tipografía */
:root {
    --font-title: 'Fredoka', 'Arial', 'Open Sans', sans-serif;
    --font-subtitle: 'Montserrat', 'Arial', 'Open Sans', sans-serif;
    --font-paragraph: 'Montserrat', 'Arial', 'Open Sans',sans-serif;
    --color-white: #FFFFFF;
    --color-dark: #232323;
    --color-primary: #F3994B; /* Naranja */
    --color-secondary: #F05858; /* Rojo */
}

html, body {
    font-family: var(--font-paragraph);
    color: var(--color-dark);
    background-color: var(--color-white);
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
}

main {
    flex-grow: 1;
    margin-bottom: .5rem;
}

.space-row {
    background-color: var(--color-primary);
    min-height: 0.3rem;
    margin-bottom: 0.4rem;
    color: white;
    font-family: var(--font-title);
    font-weight: bold;
    padding: 0.15rem 1rem;
    font-size: 10px;
}

.title {
    font-family: var(--font-title);
    font-size: 2rem;
    font-weight: bold;
    color: var(--color-dark);
}

.subtitle {
    font-family: var(--font-subtitle);
    font-size: 1.5rem;
    font-weight: normal;
    color: var(--color-dark);
}

p, .paragraph {
    font-family: var(--font-paragraph);
    font-size: 1rem;
    color: var(--color-dark);
}

a {
    text-decoration: none;
    color: var(--color-primary);
}

    a.title, a .title {
        color: var(--color-primary);
    }

    a.subtitle, a .subtitle {
        color: var(--color-secondary);
    }

strong {
    color: var(--color-dark);
}

.button-primary, .button.button-primary,
.button-secondary, .button.button-secondary {
    font-family: var(--font-paragraph);
    font-weight: bold;
    cursor: default;
    transition: background-color 0.3s ease;
    border-radius: unset;
}

.button-primary, .button.button-primary {
    background-color: var(--color-primary);
    color: var(--color-white);
}

    .button-primary:hover, .button.button-primary:hover {
        background-color: var(--color-secondary);
    }

.button-secondary, .button.button-secondary {
    background-color: var(--color-secondary);
    color: var(--color-white);
}

    .button-secondary:hover, .button.button-secondary:hover {
        background-color: var(--color-primary);
    }


h1:focus {
    outline: none;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }


.hero.is-fullheight-with-navbar {
    background: transparent;
}

section.full-height {
    height: 100%
}

.is-not-clickable {
    cursor: default;
    pointer-events: none;
}

.register .help.is-danger {
    color: var(--color-secondary);
}

.loader-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
}

.loader {
    width: 96px;
    height: 48px;
    background: var(--color-white);
    border-color: var(--color-primary);
    border-style: solid;
    border-width: 2px 2px 50px 2px;
    border-radius: 100%;
    position: relative;
    animation: 3s yinYang linear infinite;
    box-sizing: content-box;
}

    .loader:before {
        content: "";
        position: absolute;
        top: 50%;
        left: 0;
        background: var(--color-white);
        border: 18px solid var(--color-primary);
        border-radius: 100%;
        width: 12px;
        height: 12px;
        box-sizing: content-box;
    }

    .loader:after {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        background: var(--color-primary);
        border: 18px solid var(--color-white);
        border-radius: 100%;
        width: 12px;
        height: 12px;
        box-sizing: content-box;
    }

@keyframes yinYang {
    100% {
        transform: rotate(360deg);
    }
}

.map {
    width: 100%;
    height: 100%;
    min-height: 500px;
}

.page-container {
    width: 100%;
}


.sellers-container {
    display: flex;
    justify-content: center;
    align-items: center;
    scrollbar-width: thin;
    width: 100%;
    flex-wrap: wrap;
    margin-bottom: 0.5rem;
}

    .sellers-container::-webkit-scrollbar {
        height: 6px;
    }

    .sellers-container::-webkit-scrollbar-thumb {
        background: var(--color-dark);
        border-radius: 3px;
    }

    .sellers-container > div {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 80%;
        background-color: var(--color-secondary);
        border-radius: 30px;
        margin-top: .5rem;
    }

    .sellers-container .gogo-menu {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        width: 80%;
    }

        .sellers-container .gogo-menu a {
            color: white;
            font-size: x-small;
            font-weight: bold;
        }


.h-stretch-homepage {
    min-height: 75vh;
}

.button.is-light.btn.btn-primary {
    background-color: var(--color-secondary);
    border-color: var(--color-secondary);
}

    .button.is-light.btn.btn-primary:hover {
        background-color: var(--color-primary);
        border-color: var(--color-primary);
    }
